[![npm](https://img.shields.io/npm/v/@highlight-ui/skeleton)](https://www.npmjs.com/package/@highlight-ui/skeleton)
[![personio.design](https://img.shields.io/static/v1?label=Personio&message=zeroheight&color=yellow)](https://www.personio.design/40d648a47/v/0/p/4848de-skeleton/b/0405bd)
[![storybook.personio.design](https://img.shields.io/static/v1?label=Personio&message=storybook&color=red)](https://storybook.personio.design/?path=/story/feedback-skeleton--default)

# @highlight-ui/skeleton

Using npm:

```bash
npm install @highlight-ui/skeleton
```

Using yarn:

```bash
yarn add @highlight-ui/skeleton
```

Using pnpm:

```bash
pnpm install @highlight-ui/skeleton
```

In your (S)CSS file:

```scss
@import url('@highlight-ui/skeleton');
```

Once the package is installed, you can import the library:

```ts
import { Skeleton } from '@highlight-ui/skeleton';
```

## Usage

```tsx
import React from 'react';
import { Skeleton } from '@highlight-ui/skeleton';

export default function SkeletonExample() {
  return <Skeleton />;
}
```

## Props 📜

| Prop        | Type     | Required | Default | Description                                                                         |
| :---------- | :------- | :------- | :------ | :---------------------------------------------------------------------------------- |
| `color`     | `string` | No       |         | Sets the background color of all skeleton blocks, accepts any valid CSS color value |
| `height`    | `number` | No       |         | Sets the height in pixels of all skeleton blocks                                    |
| `repeat`    | `number` | No       |         | Determines the number of skeleton blocks to render                                  |
| `className` | `string` | No       |         | Allows providing a custom class name                                                |

## Contributing 🖌️

Please visit [personio.design](https://www.personio.design/40d648a47/v/0/p/4848de-skeleton/b/0405bd) for usage guidelines and visual examples.

If you're interested in contributing, please visit our [contribution page](https://www.personio.design/40d648a47/v/0/p/138faf-about-the-process).
